# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-11 17:41
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('kiss_places', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Duration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minutes', models.IntegerField(verbose_name='minutes')),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='titre')),
                ('authors_list', models.CharField(help_text='Separate authors with comma.', max_length=255, verbose_name='authors list')),
                ('abstract', models.TextField(verbose_name='abstract')),
                ('status', models.CharField(choices=[('Accepted', 'Accepted'), ('Not Accepted', 'Not Accepted'), ('Cancelled', 'Cancelled'), ('Waiting', 'Waiting'), ('Submitted', 'Submitted')], default='Submitted', max_length=42, verbose_name='status')),
                ('schedule', models.DateTimeField(blank=True, help_text='When this event start', null=True, verbose_name='schedule')),
                ('note_for_organizers', models.TextField(blank=True, help_text='Private.', verbose_name='note for organizers')),
                ('contact', models.ForeignKey(help_text='Who submit this event.', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='contact')),
                ('duration', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_events.Duration', verbose_name='duration (minutes)')),
                ('place', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='kiss_places.Place', verbose_name='take place at')),
            ],
        ),
        migrations.CreateModel(
            name='EventType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
        ),
        migrations.AddField(
            model_name='event',
            name='type',
            field=models.ForeignKey(help_text='The kind of this event.', on_delete=django.db.models.deletion.CASCADE, to='kiss_events.EventType', verbose_name='type'),
        ),
    ]
